List webhooks
curl --request GET \
--url https://api.onset.io/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onset.io/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onset.io/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"events": {
"release.created": true,
"release.updated": true,
"release.deleted": false,
"release.published": true,
"release.scheduled": false,
"release.reverted": false,
"release.reacted": false,
"release.unreacted": false,
"milestone.created": true,
"milestone.updated": true,
"milestone.deleted": false,
"milestone.upvoted": false,
"milestone.downvoted": false,
"milestone.archived": false,
"milestone.unarchived": false,
"subscriber.created": false,
"subscriber.updated": false,
"subscriber.deleted": false,
"subscriber.unsubscribed": false
},
"last_triggered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"error": "<string>",
"details": {}
}{
"error": "<string>",
"details": {}
}Webhooks
List webhooks
Retrieve a list of webhooks
GET
/
webhooks
List webhooks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of items to skip
Required range:
0 <= x <= 1000Maximum number of items to return
Required range:
1 <= x <= 100Response
List of webhooks retrieved successfully
Unique webhook identifier
Webhook name
Webhook URL endpoint
Webhook event subscriptions
Show child attributes
Show child attributes
Example:
{
"release.created": true,
"release.updated": true,
"release.deleted": false,
"release.published": true,
"release.scheduled": false,
"release.reverted": false,
"release.reacted": false,
"release.unreacted": false,
"milestone.created": true,
"milestone.updated": true,
"milestone.deleted": false,
"milestone.upvoted": false,
"milestone.downvoted": false,
"milestone.archived": false,
"milestone.unarchived": false,
"subscriber.created": false,
"subscriber.updated": false,
"subscriber.deleted": false,
"subscriber.unsubscribed": false
}
When the webhook was last triggered
When the webhook was created
When the webhook was last updated
Was this page helpful?
⌘I

